<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
if (!isset($_GET['id'])) {
header ('location: /');
exit;
}
$query = DB::$dbs->query("SELECT * FROM `blogger` WHERE `id` = ?", [(int)$_GET['id']]);
if ($query -> rowCount () == 0) {
header ('location: /');
exit;
}
$u = $query -> fetch ();

$title->SetTitle('Товары ' . $u['nick'].' ');
///Подключаем шапку
$title->GetHeader();

echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Товары ' . $u['nick'].'</h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Товары </span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - Товары ' . $u['nick'].'</div>';
$k_post = DB::$dbs->querySingle("SELECT COUNT(id) FROM magazin_file WHERE user_id = ?", [$u['id']]);
if ($k_post == 0) {
err('Товаров нет!');
}
$num = 10;
$k_page = k_page($k_post, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM magazin_file WHERE user_id = ? ORDER BY time DESC LIMIT $start,$num",[$u['id']]);
while($a = $sql->fetch()) {
$screen = DB::$dbs->queryFetch("SELECT * FROM `magazin_screen` WHERE `file` = ? ORDER BY `id` DESC LIMIT 1",[$a['id']]);
echo '<div class="row"><div class="col-xs-3 col-sm-1"><div class="user_brief"><div class="userpic" style="height: 50px;padding: 4px;width: 50px;"><a href="/files/mag_screen/'.$screen['screen'].'"><img class="img-responsive" src="/files/mag_screen/'.$screen['screen'].'" alt="" ></a></div></div></div><div class="col-xs-9 col-sm-8"><a class="title" href="/market/file/'.$a['id'].'"> '.$a['name'].' </a><div class="text-muted"> Стоимость: <b><font color="green">'.$a['price'].'</font></b> р.</div></div><div class="col-sm-3 text-muted text-right hidden-xs"><span data-toggle="tooltip" title="Время отправки">('.vr($a['time']).')</span></div></div>';
}
if ($k_page > 1) {
str('?id='.$id.'&',$k_page,$page);
}
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>